package com.xk72.charles.gui.settings;

import com.xk72.charles.config.StartupConfiguration;
import com.xk72.charles.gui.settings.ImportExportPanel;
import com.xk72.charles.gui.settings.SettingsPanel;
import javax.swing.JCheckBox;

public class StartupSettingsPanel extends SettingsPanel implements ImportExportPanel {

   private final JCheckBox bNewSession = new JCheckBox("打开新会话");
   private final JCheckBox bThrottling = new JCheckBox("开始节流阀");
   private final JCheckBox bCheckUpdates = new JCheckBox("检查更新");


   public StartupSettingsPanel() {
      super("启动");
      StartupConfiguration var1 = this.ctx.getConfiguration().getStartupConfiguration();
      this.setImportedConfiguration((StartupConfiguration)var1);
      this.add(this.bNewSession);
      this.add(this.bThrottling);
      this.add(this.bCheckUpdates);
   }

   public static void main(String[] var0) {
      (new StartupSettingsPanel()).test();
   }

   public StartupConfiguration getExportConfiguration() {
      StartupConfiguration var1 = new StartupConfiguration();
      this.FwRs(var1);
      return var1;
   }

   public void setImportedConfiguration(StartupConfiguration var1) {
      this.bNewSession.setSelected(var1.isNewSession());
      this.bThrottling.setSelected(var1.isThrottling());
      this.bCheckUpdates.setSelected(var1.isCheckUpdates());
   }

   public boolean save() {
      StartupConfiguration var1 = this.ctx.getConfiguration().getStartupConfiguration();
      this.FwRs(var1);
      return true;
   }

   private void FwRs(StartupConfiguration var1) {
      var1.setNewSession(this.bNewSession.isSelected());
      var1.setThrottling(this.bThrottling.isSelected());
      var1.setCheckUpdates(this.bCheckUpdates.isSelected());
   }
}
